# Delete Users

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/users/delete/

`DELETE /unified/user-directory/users/{id}`

Resource: **Users** · API: **Unified User Directory API**

## Supported integrations

Adobe Marketo Engage, Airtable, Airtable SCIM, Asana, Atlassian, Auth0, Avalara AvaTax, Azure Active Directory, BigPanda, BlackLine, Box, BrowserStack, Calendly, Canva, Cisco Meraki, ClickUp, Cloudflare, Confluent, CrowdStrike, Databricks, Datadog, Dialpad, DocuSign, Domo, Dropbox - Business, Elastic Cloud, Figma SCIM, Files.com, Fivetran, Freshdesk, Freshservice, GitHub, GitLab, Google, Google Workspace, Dropbox Sign (HelloSign), Help Scout, Heroku, HubSpot, Ironclad, Jamf, JFrog, Jira, Jostle SCIM, JumpCloud, juniper-mist, Kandji, KnowBe4, KnowBe4 SCIM, LastPass, Looker, ManageEngine ServiceDesk Plus, Microsoft 365, Miro SCIM, Monday.com, Monday.com SCIM, New Relic, Notion SCIM, Okta, OpenVPN CloudConnexa, Opsgenie, Outreach, PagerDuty, Pendo SCIM, Pinpoint, Pipedrive, Pipeliner, Postman SCIM, Power BI, Qlik Sense, Qualtrics CoreXM, Rootly, Salesforce, Salesloft, Segment, Sentry, Slack Enterprise, Smartsheet, Snowflake, SolarWinds Service Desk, Sophos, SurveySparrow, Tableau, TeamViewer, Teamwork Desk, Teamwork Project Management, Teamwork Spaces, Trello, Typeform, Veeva Vault, Vercel, Webex, Webflow, WordPress, Zendesk, Zoho Bigin, Zoom

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`remove_from`** _(string)_
  Where to remove the user from
  Allowed: `group`, `organization`
- **`remove_from_id`** _(string)_
  The ID of the group or organization to remove the user from.
- **`emails`** _(string)_
  The emails of the user
- **`organization_id`** _(string)_
- **`workspace_id`** _(string)_
- **`group_id`** _(unknown)_
  Set this value if you want to delete the user from a group.
- **`product`** _(string)_
  Allowed: `azure_active_directory`, `workspace`
- **`user_type`** _(string)_
  The type of user
  Allowed: `admin`, `end_user`
- **`workspace`** _(unknown)_
- **`hard_delete`** _(boolean)_
  Set to true if you wish to delete user permanently.

## Response body

- **`id`** _(string, required)_
  The unique identifier for a user
- **`external_id`** _(string)_
  The external identifier for a user. This is set when the SCIM API is being used.
- **`identifiers`** _(object)_
  The identifiers of the user.
- **`first_name`** _(string)_
  The first name of the user
- **`last_name`** _(string)_
  The last name of the user
- **`title`** _(string)_
  The title of the user
- **`name`** _(string)_
  The name of the user
- **`username`** _(string)_
  The username of the user
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`status`** _(string)_
  The status of the user. If no clear mapping is available, then the raw value is returned.
  Allowed: `active`, `inactive`, `deleted`, `invited`
- **`is_email_verified`** _(boolean)_
  Whether the user's email has been verified
- **`is_2fa_enabled`** _(boolean)_
  Whether the user has 2FA enabled
- **`roles`** _(array<object>)_
  The roles of the user
  - **`id`** _(string)_
    The unique identifier for a role
  - **`name`** _(string)_
    The name of the role
  - **`group`** _(string)_
    The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
  - **`organization`** _(string)_
    The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
  - **`workspace`** _(string)_
    The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
- **`organizations`** _(array<object>)_
  The organizations of the user
  - **`id`** _(string)_
    The unique identifier for an organization
  - **`name`** _(string)_
    The name of the organization
- **`user_type`** _(string)_
  The type of user
- **`licenses`** _(array<object>)_
  The licenses of the user or the products the user has access to
  - **`id`** _(string)_
    The unique identifier for a license
  - **`name`** _(string)_
    The name of the license
  - **`organization`** _(string)_
    The unique identifier of the organization to which the license belongs
  - **`last_active_at`** _(string)_
    The date and time the user was last active for the license
- **`groups`** _(array<object>)_
  The groups of the user
  - **`id`** _(string)_
    The unique identifier for a group
  - **`name`** _(string)_
    The name of the group
  - **`organization`** _(string)_
    The unique identifier of the organization to which the group belongs
- **`workspaces`** _(array<object>)_
  The workspaces of the user
  - **`id`** _(string)_
    The unique identifier for a workspace
  - **`name`** _(string)_
    The name of the workspaces
- **`avatar`** _(string)_
  The avatar of the user
- **`timezone`** _(string)_
  The timezone of the user
- **`languages`** _(array<string>)_
  The languages preferred by the user
- **`bio`** _(string)_
  The bio of the user. Usually a short description set by the user about them.
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`last_active_at`** _(string)_
  The date and time the user was last active
- **`last_login_at`** _(string)_
  The date and time the user was last logged in
- **`status_changed_at`** _(string)_
  The date and time the user's status was last changed
- **`activated_at`** _(string)_
  The date and time the user was activated
- **`urls`** _(array<object>)_
  The URLs of the user
  - **`url`** _(string)_
    The URL
  - **`type`** _(string)_
    The type of URL
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/users/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'user-directory',
  'users',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "user-directory",
        "users",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
